summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2015-12-31 17:34:42 -0500
committerMichael Sterrett <mr_bones_@gentoo.org>2015-12-31 17:35:40 -0500
commit2df150c18b6db01faf4e0a7aedd191315e3fbf3f (patch)
tree067eda8e9dabc82c5df45eddd261cf4b26bd5526 /games-board/ccgo
parentdev-perl/Data-Dump-Streamer: Version bump; remove old (diff)
downloadgentoo-2df150c18b6db01faf4e0a7aedd191315e3fbf3f.tar.gz
gentoo-2df150c18b6db01faf4e0a7aedd191315e3fbf3f.tar.bz2
gentoo-2df150c18b6db01faf4e0a7aedd191315e3fbf3f.zip
games-board/ccgo: version bump and fix building with libsigc++-2.6
Package-Manager: portage-2.2.24
Diffstat (limited to 'games-board/ccgo')
-rw-r--r--games-board/ccgo/Manifest1
-rw-r--r--games-board/ccgo/ccgo-0.3.6.4.ebuild7
-rw-r--r--games-board/ccgo/ccgo-0.3.6.5.ebuild55
-rw-r--r--games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch12
-rw-r--r--games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch12
5 files changed, 86 insertions, 1 deletions
diff --git a/games-board/ccgo/Manifest b/games-board/ccgo/Manifest
index a3adc66c1a0..eebb9d75fa2 100644
--- a/games-board/ccgo/Manifest
+++ b/games-board/ccgo/Manifest
@@ -1 +1,2 @@
DIST ccgo-0.3.6.4.tar.gz 620246 SHA256 1975a4e9b6661f6613dd3a00b3ee7e176b80244f555a184b258b50ef4352a890 SHA512 54625bbf7036c18f4a9e92df0d7f2d67772138a940c5fdbbffa3d1c2e5c558cad5394d2c556c06388516e53d1f3502cf6369bcd95b1139d4ca5ec4210dcac5c2 WHIRLPOOL dd1b63c6c4360da99f66772373d2b9a0b39b495c57893d89cd69a4db8c0b8c53db059350c906f17a9e1402bacd473827fcce1be4d607c4afa3b1b9eb36de8f9d
+DIST ccgo-0.3.6.5.tar.gz 639238 SHA256 d12be7fb9170d650ae78197983fac05af21ddbf47f7b1a2a14de9aa832ed602c SHA512 268c228eee9c42e49df333bfa0707e7b72c39731ccd64239e3c426958f6c17b65658db91bc7ab89548c4cc647ade791a7c67c30c410a5b3935c8fd3f326bf36b WHIRLPOOL 2baa70d05da8698a6115096800ccfd64dfb825c6b819fe9141141334eda53195632ae3dd5ee0031e1c145dbd9e697d6a5bdb8d9f40218c3653dda10d814e9f8d
diff --git a/games-board/ccgo/ccgo-0.3.6.4.ebuild b/games-board/ccgo/ccgo-0.3.6.4.ebuild
index 680fdacdce8..6d697849022 100644
--- a/games-board/ccgo/ccgo-0.3.6.4.ebuild
+++ b/games-board/ccgo/ccgo-0.3.6.4.ebuild
@@ -3,7 +3,7 @@
# $Id$
EAPI=5
-inherit autotools toolchain-funcs games
+inherit autotools eutils toolchain-funcs flag-o-matic games
DESCRIPTION="An IGS client written in C++"
HOMEPAGE="http://ccdw.org/~cjj/prog/ccgo/"
@@ -31,6 +31,11 @@ src_prepare() {
-e '/^appicondir/s:=.*:=/usr/share/pixmaps:' \
-e '/^desktopdir/s:=.*:=/usr/share/applications:' \
Makefile.am || die
+ # cargo cult from bug #569528
+ append-cxxflags -std=c++11 -fpermissive
+ find . -name '*.hh' -exec sed -i -e '/sigc++\/object.h/d' {} +
+ find . -name '*.cc' -exec sed -i -e 's/(bind(/(sigc::bind(/' {} +
+ epatch "${FILESDIR}"/${P}-gcc4.patch
eautoreconf
}
diff --git a/games-board/ccgo/ccgo-0.3.6.5.ebuild b/games-board/ccgo/ccgo-0.3.6.5.ebuild
new file mode 100644
index 00000000000..bb3959fc174
--- /dev/null
+++ b/games-board/ccgo/ccgo-0.3.6.5.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils toolchain-funcs flag-o-matic games
+
+DESCRIPTION="An IGS client written in C++"
+HOMEPAGE="http://ccdw.org/~cjj/prog/ccgo/"
+SRC_URI="http://ccdw.org/~cjj/prog/ccgo/src/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="nls"
+
+RDEPEND=">=dev-cpp/gtkmm-2.4:2.4
+ >=dev-cpp/gconfmm-2.6
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ sed -i \
+ -e '/^Encoding/d' \
+ -e '/^Categories/ { s/Application;//; s/$/GTK;/ }' \
+ ccgo.desktop.in || die
+ sed -i \
+ -e '/^localedir/s/=.*/=@localedir@/' \
+ -e '/^appicondir/s:=.*:=/usr/share/pixmaps:' \
+ -e '/^desktopdir/s:=.*:=/usr/share/applications:' \
+ Makefile.am || die
+ # cargo cult from bug #569528
+ append-cxxflags -std=c++11 -fpermissive
+ find . -name '*.hh' -exec sed -i -e '/sigc++\/object.h/d' {} +
+ find . -name '*.cc' -exec sed -i -e 's/(bind(/(sigc::bind(/' {} +
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ eautoreconf
+}
+
+src_configure() {
+ egamesconf \
+ --localedir=/usr/share/locale \
+ $(use_enable nls)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+ prepgamesdirs
+}
diff --git a/games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch b/games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch
new file mode 100644
index 00000000000..f7a049df768
--- /dev/null
+++ b/games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch
@@ -0,0 +1,12 @@
+--- gtk/board.cc.orig
++++ gtk/board.cc
+@@ -20,9 +20,7 @@
+ */
+
+ #include <config.hh>
+-extern "C" {
+ #include <gettext.h>
+-}
+ #define _(String) Glib::locale_to_utf8(gettext(String))
+
+ #include <board.hh>
diff --git a/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch b/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch
new file mode 100644
index 00000000000..f7a049df768
--- /dev/null
+++ b/games-board/ccgo/files/ccgo-0.3.6.5-gcc4.patch
@@ -0,0 +1,12 @@
+--- gtk/board.cc.orig
++++ gtk/board.cc
+@@ -20,9 +20,7 @@
+ */
+
+ #include <config.hh>
+-extern "C" {
+ #include <gettext.h>
+-}
+ #define _(String) Glib::locale_to_utf8(gettext(String))
+
+ #include <board.hh>